Get Wallet Orders
curl --request GET \
--url https://synthesis.trade/api/v1/wallet/{wallet_id}/orders \
--header 'X-API-KEY: <api-key>'import requests
url = "https://synthesis.trade/api/v1/wallet/{wallet_id}/orders"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://synthesis.trade/api/v1/wallet/{wallet_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"venue": "polymarket",
"order": {
"order_id": "0xa1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
"side": "BUY",
"type": "LIMIT",
"time_in_force": "GTC",
"amount": "100.000",
"shares": "152.300",
"filled": "152.300",
"price": "0.657",
"fee": {},
"units": "USDC",
"status": "FILLED",
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00"
},
"event": {
"event_id": 12345,
"title": "Will Bitcoin reach $100k by end of 2025?",
"slug": "will-bitcoin-reach-100k-by-end-of-2025",
"description": "This market resolves to Yes if spot Bitcoin trades at or above $100,000 before 2025 ends.",
"image": "https://example.com/bitcoin.png",
"tags": [
"crypto",
"bitcoin"
],
"labels": [
"crypto",
"macro"
],
"neg_risk": false,
"active": true,
"liquidity": "1500000",
"volume": "5000000",
"volume24hr": "250000",
"volume1wk": "900000",
"volume1mo": "2200000",
"volume1yr": "5000000",
"live": {
"live": false,
"ended": false
},
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00",
"ends_at": "2026-12-31T23:59:59"
},
"market": {
"event_id": 12345,
"condition_id": "0xbd71b43bb47eb60dbcb41fa25df2a0ed4da612873d6e0447a2c730bd4cc25910",
"question": "Will Bitcoin reach $100k?",
"outcome": "Yes",
"slug": "will-bitcoin-reach-100k-yes",
"description": "Buy Yes if you think Bitcoin will trade at or above $100,000 before market expiry.",
"image": "https://example.com/bitcoin-market.png",
"left_outcome": "Yes",
"right_outcome": "No",
"left_price": "0.65",
"right_price": "0.35",
"left_token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
"right_token_id": "48572956138472615938471625938471659384716593847165938471659384716593847165938",
"winner_token_id": "",
"active": true,
"resolved": false,
"fees": true,
"decimals": 6,
"liquidity": "1500000",
"volume": "5000000",
"volume24hr": "250000",
"volume1wk": "900000",
"volume1mo": "2200000",
"volume1yr": "5000000",
"rewards": {
"rewards": false
},
"created_at": "2026-01-01T00:00:00",
"updated_at": "2026-01-01T00:00:00",
"ends_at": "2026-12-31T23:59:59"
}
}
]
}Wallets
Get Wallet Orders
Get orders across all chains for a wallet.
Get Wallet Orders
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
Query Parameters
Maximum orders to return. Capped at 1000.
Example:
100
Pagination offset.
Example:
0
Response
200 - application/json
Wallet orders
⌘I